using System.Collections;
using System.Collections.Generic;
using UnityEngine;

public class BolasProjectile : StraightProjectile
{
    [Header("Bolas Projectile")]
    [SerializeField]
    private float _slowIntensity = 0.25f;
    [SerializeField]
    private float _slowDuration = 5f;

    protected override void ApplyEffects(Entity target)
    {
        if (target.StatusHandler)
        {
            target.StatusHandler.ApplySlow(_slowIntensity, _slowDuration);
        }
    }
}
